Subject: Re: [Last-Call] Genart last call review of draft-ietf-httpbis-targeted-cache-control-02

From: Lars Eggert <[email-masked]>
Date: Thu, 20 Jan 2022 14:09:14 +0200

Elwyn, thank you for your review. I have entered a No Objection ballot for this document.

Lars

> On 2021-12-23, at 16:41, Elwyn Davies via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Elwyn Davies
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-httpbis-targeted-cache-control-02
> Reviewer: Elwyn Davies
> Review Date: 2021-12-23
> IETF LC End Date: 2021-12-23
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary:  Ready except for a couple of nits and one possibe issue with an
> informational reference that is not freely accessible to readers of the future
> RFC.  I also wondered if a little more emphasis on the potential interactions
> between multiple types of cache would be desirable.
> 
> Major issues:
> 
> Minor issues:
> 
> s2.3, para 4:  The infomational reference [AGE-PENALTY] is not a publically
> available document.  This is not a vital reference and I expect that people
> trying to build a CDN cache system would be aware of this discussion but it
> would be useful to have a reference that is publically available to explain the
> issue.
> 
> Nits/editorial comments:
> 
> s2.1, para 1: A reference to the IANA page for the is desirable
> (https://www.iana.org/assignments/http-cache-directives/http-cache-directives.xhtml)
> 
> s2.2, para 1:  s/A cache that implement/A cache that implements/
> 
> s2.3, para 1:  In the last sentence:
> In particular, a targeted cache might have longer freshness lifetimes available
> to it than other caches, causing it to serve responses that appear to be
> prematurely (or even immediately) stale to them,
> 
> It needs to be adjusted to make it clear what the final 'them' refer to..
> 
> 
> 
> --
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call